Modify

Opened 7 years ago

Last modified 4 years ago

#8082 new defect

PKG_BUILD_DEPENDS is wrong

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version: Kamikaze 8.09
Keywords: PKG_BUILD_DEPENDS Cc:

Description

I have defined
PKG_BUILD_DEPENDS:=package_indep depends1:package_dep depends2:package_dep

As a result metadata.pl generates this (in tmp\.packagedeps):
$(curdir)/feeds/path/some_package/compile +=
$(curdir)/feeds/path/package_indep/compile
$(if $(depends1),$(curdir)/feeds/path/package_dep/compile)

As you can see, the dependant package "package_dep" is compiled only if depends1 is defined, but not if depends2 is defined. Looks like there is a bug in metadata.pl.

Attachments (1)

metadata.pl (17.4 KB) - added by mp3@… 7 years ago.
scripts/metadata.pl

Download all attachments as: .zip

Change History (2)

Changed 7 years ago by mp3@…

scripts/metadata.pl

comment:1 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.